commit d2442c74b8d41018f260f1da13f3fe5d2795792f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 20 10:53:57 2013 +0000

    2.21.3 release

commit 2cab7e80eb6955a7f8ea051633f6975a12248b69
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 20 12:36:22 2013 +0000

    sna/trapezoids: Clamp cells to valid range
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 14de90b251dd8a6ff106e989580ef01cf5c2944d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 20 12:00:54 2013 +0000

    sna/trapezoids: Embed a few cells into the stack
    
    Avoid an allocation in the common case where the set of trapezoids is
    fairly narrow.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3eca4ea1a5d8ce04598b8d42e93e0dcb93e42e9a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 20 11:20:54 2013 +0000

    sna/trapezoids: Perform the cell allocation upfront
    
    As we know the maximum extents of the trapezoids, we know the maximum
    number of cells we will need and so can preallocate them.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9df5e48c582e5c4edffdece75b5395c230a50b09
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 19 10:08:29 2013 +0000

    sna/video: Only setup XvMC if we first setup Xv
    
    Under certain circumstances, XvScreenInit can indeed fail, so do not
    bother with creatin XvMC (as it triggers internal assertions if it
    cannot find our adaptor amongst Xv's).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b6588c48077600a3e015b6d37b101393a806ae1a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 19 08:59:12 2013 +0000

    test: Add generated vsync.avi to gitignore

commit 1e2fd66ade6bdbf1e6011f3d59e423fada3f12f6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 19 08:57:47 2013 +0000

    sna: Assert that the GPU damage is NULL before destroy a proxy
    
    If the GPU bo is a proxy, then it really is a pointer into a upload
    buffer for CPU data. In these cases, there should never be any GPU
    damage lying around.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d90a123db7ac99cf017167bf89df31c635df7e1e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 18 20:06:45 2013 +0000

    sna: Assert that the gpu_bo exists if it is entirely damaged
    
    This should help catch the error slightly earlier.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a03aba6f7f55577e29c6a3267528e2614016222d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 18 16:12:14 2013 +0000

    sna: A couple more assertions that we forcibly attach pixmaps correctly
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 1f16d854264ea923303b79379266bd789fd9dd4d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 18 14:30:55 2013 +0000

    sna/dri: Prevent swapping a decoupled DRI2Buffer
    
    If the DRI2Buffer is no longer valid for the Drawable, for example the
    window had just been reparent, just complete the swap without triggering
    any assertions.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b3ba758a0186c9abc6c0583f52775ea714165134
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Thu Feb 14 14:20:19 2013 +0000

    uxa/gen7: Don't use a message register to store vl
    
    Turns out the "new" assembler that uses mesa's opcode emission hits the
    path that automatically transforms MRF registers into GRF ones in the
    exa_wm_src_projective shader.
    
    The diff with the new assembler is:
    
    $ intel-gen4disasm -g7 -
    -   { 0x00600041, 0x208077be, 0x008d03c0, 0x008d0180 },
    +   { 0x00600041, 0x2e8077bd, 0x008d03c0, 0x008d0180 },
    mul(8)      m4<1>F          g30<8,8,1>F     g12<8,8,1>F     { align1 };
    mul(8)      g116<1>F        g30<8,8,1>F     g12<8,8,1>F     { align1 };
    
    Of course, message registers are no more in gen7, so the shader is
    trying to do something shaddy (ahem!).
    
    Instead of using m4, let's make exa_wm_src_projective use g68 for v (aka
    vl) which makes sense since:
    
    1/ vh is g69
    2/ exa_wm_src_affine uses g68 for vl already
    
    This commit changes the generated assembly, here's the decoded diff:
    
    $ intel-gen4disasm -g7 -
    -   { 0x00600041, 0x208077be, 0x008d03c0, 0x008d0180 },
    +   { 0x00600041, 0x288077bd, 0x008d03c0, 0x008d0180 },
    mul(8)      m4<1>F          g30<8,8,1>F     g12<8,8,1>F     { align1 };
    mul(8)      g68<1>F         g30<8,8,1>F     g12<8,8,1>F     { align1 };
    
    Cc: Kenneth Graunke <kenneth@whitecape.org>
    Reported-by: Xiang, Haihao <haihao.xiang@intel.com>
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>

commit 43ba22ef4a4142f334e9ae2d926250988ecbe8bc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 17 09:25:38 2013 +0000

    Confirm that i915.ko has KMS enabled before binding to the device
    
    If the kernel has the module, but the KMS module option is not enabled,
    we cannot function. So after checking to see if the i915.ko is bound,
    then querying whether it provides any KMS resources. If it has no CRTCs
    attached, then we need to failover to the VESA/fbdev drivers. Note that
    this should have been detected by drmCheckModesettingSupported()
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=60987
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5a5943e2374a674067e0c48b0fe8a1f2eeff2177
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 15 12:05:14 2013 +0000

    NEWS: Xserver 1.6 was not packaged in Xorg 7.7
    
    I misinterpreted Sedat Dilek's advice on how to fix my confusing
    changelog, so drop the Xorg 7.7 confusion and just refer to the version
    of Xserver the driver is first compatible with.

commit 15e1050ea505c40a288ec197d817d3c6d51693d5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 14 21:59:36 2013 +0000

    NEWS: Fix a couple of typos and factual errors
    
    Sedat Dilek corrected my spelling and pointed out that what is known as
    Xorg 1.6 in the log file is actually better known as releases of
    Xserver 1.6 and Xorg 7.7.

commit 86e025a1842f3c2f319676818b1f4624cd94ebc5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 13 22:05:34 2013 +0000

    sna/gen4: Restore nonrectiinear spans workaround
    
    Instead of relying on the macro, the intention was simply to use the
    prefer_gpu hint. However, I dropped it whilst refactoring ideas from
    later generations. So restore both the debug control to force spans as
    well as the intended workaround.
    
    Reported-by: Edward Sheldrake <ejsheldrake@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f2a64dbdfceac985d235c4873f52013633d6cfd8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 13 17:15:46 2013 +0000

    sna: Avoid stalling on a SHM upload when otherwise idle
    
    Fixes regresion from
    
    commit 09ea1f4402b3bd0e411b90eb5575b3ff066d7356
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Thu Jan 10 16:26:24 2013 +0000
    
        sna: Prefer to use the GPU for copies from SHM onto tiled destinations
    
    As the stalls on IVB 64-bit machines at least greatly offset the
    benefits. As those earlier measurements were made on the same IVB
    machine but running in 32-bit mode, I need to double-check whether or
    not this is another 32-bit peculiarity.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 4bf51ec7bcc7818fbee8643a88aebee0362691b2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 13 16:32:18 2013 +0000

    Revert "sna: Avoid promoting SHM CPU bo to GPU to maintain coherence with SHM clients"
    
    This reverts commit f743cd5734ca502aa8bdb0e1327fe84d6ce82755.

commit 9861423a76402c260724a752ada293a03ce1a79b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 13 15:11:45 2013 +0000

    sna/dri: Fix typo limiting gen4 to TILING_X depth buffers
    
    Fixes regression from
    
    commit 98b312e579385e6e4adf6bf0abe20f8ca84592af
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Wed Jan 23 20:51:35 2013 +0000
    
        sna/dri: Stop feeding I915_TILING_Y to mesa i915c
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=60178
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 38a3506aa1c9c2e07125b54fc319b6de89febff9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 13 14:09:38 2013 +0000

    sna: Handle scanouts still active at the time of destruction
    
    Basically remove the bogus assert, and reorder the list to
    preferentially reuse the still active scanouts.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3b82d93162b9e127c6d055d5007e75fcc31f4af8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 21:53:38 2013 +0000

    sna/dri: Validate that the scanout flag is set
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 04e4805f57fdf0581e5e75c29c275c15c79852a3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 21:52:35 2013 +0000

    sna: Prefer inplace readback if the GPU doesn't support cacheable BLTs
    
    As we must perform the GTT reads anyway, first see if we can copy
    directly to the destination.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 2c569d22d2d243badc15d5dbcc09e6759f4ff01a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 20:15:33 2013 +0000

    sna: Only use the inplace read fallback if we have no CPU bo support
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit aeaed0b7810e9c794749a4f59c72790063cddc86
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 12 19:30:44 2013 +0000

    sna/dri: Assert that we are not passed deceased DRI2Buffers
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5fb165b02d47634ccf9fb72ab6fb4d65b89f78d0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 22:15:17 2013 +0000

    sna/dri: Assert that the old scanout is clear before overwriting
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 2667b821e193c0badf16420f82f8a99a93c27a46
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 22:06:00 2013 +0000

    sna/dri: Update flush status for tear-free exported GPU bo
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a4442045df9164651702b166e0de2bfd25e8a76f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 21:16:19 2013 +0000

    sna/dri: Harden the replacement of the back buffer against alloc failure
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 75406775b83ca5c320e4bc2d2dbd8f1eb0d1677d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 13:00:13 2013 +0000

    NEWS: Fix marketing name for 945gm
    
    The GMA3100 was the desktop G31/G33 which whilst almost identical to the
    GMA950, notably does not require the extra unfenced alignment.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 0b116a1d023ad7cc148d91f268dbf71452dbd9dd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 12:36:43 2013 +0000

    sna: Fix inaccurate use of __attribute__((const))
    
    'const' is only allowed to use the function parameters and not allowed
    to access global memory - that includes not allowed to deference its
    arguments...
    
    Thanks to Jiri Slaby for spotting my mistake.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 47657e5355103b2e61da6f059c560e63fe13b0ed
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 12:31:18 2013 +0000

    sna/dri: Ignore a compiler barf breaking an assertion
    
    Manual confirmation with gdb says all is fine and things work again
    after printing the variables responsible. The curious reader is welcome
    to read the disassembly to find where the compiler goofed.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3540554e5a74ccd2ca746482700a9f5657954227
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 11:14:17 2013 +0000

    sna/dri: Couple up the flush pixmap after checking for allocation failures
    
    Tidy up the error path not to leave the GPU bo pinned and marked for
    flushing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 58b61bcd02467d2b08b2dd194ab6884437b83fa6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 11:05:02 2013 +0000

    sna/dri: Tighten the assertions that we have one DRI2Buffer per Pixmap
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a13f806ae28459a5cf671ccbf9cc8725f541a4ba
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 10:50:20 2013 +0000

    sna: Assert that we do not destroy a GPU bo for an active DRI pixmap
    
    This is an extra paranoid check that the bo is still pinned.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c2eb2db83280ae45b8df8a3b6e488b6a1404391a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 10:47:13 2013 +0000

    sna: Avoid stalling for changing cache levels on an active scanout
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 696347a6260f3741ad3e6238db0fd285384bb753
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Feb 11 09:58:58 2013 +0000

    sna/dri: Only clear the GPU bo flush flag when the last export is destroyed
    
    Add various assertions around DRI to be sure that we don't change the
    GPU bo for a pixmap that does not match our flush bookkeeping. Then be
    more careful during the DRI2Buffer destroy that we don't accidentally
    remove the flush flag from a shared bo.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 301aebfa71143fb610eb7b816376a8c1f3e07208
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 18:01:33 2013 +0000

    configure: Add -lX11 required to link the legacy libI810XvMC.so
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 65c320e677b8ab4d745568b33f381d5865bf8b73
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 14:20:59 2013 +0000

    2.21.2 release

commit 0d75b19979b1ac14353765e2bb84c6a466129109
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 15:47:53 2013 +0000

    sna: Restore glyphs with xorg-1.12
    
    That simple and innocuous build fix for xorg-1.13 bizarrely causes
    missing glyphs with earlier Xorgs.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9fd0d8873a5a5c4f77904cab0b9909ca941b5dae
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 14:29:29 2013 +0000

    NEWS: fix bug url
    
    The dangers of cutting and pasting from git log.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 617fadf3acf7bf75fb203c1e85fd0ddb98b3dbb9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 14:20:59 2013 +0000

    2.21.1 release

commit 3169a4e53cf39cc3d5c18ac6add909aa3a58de7e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 11:57:14 2013 +0000

    sna: Reorder some includes so that compat-api.h comes after the headers it wraps
    
    Fixes the build in cases where the compat-api.h was defining macros to
    subvert the real functions found in the xorg includes
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 71fbad64c5cfe6832a03815bece4c89d15253e1a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Feb 10 10:54:17 2013 +0000

    configure: Fix typo in checking for libdrm_intel
    
    The package name is libdrm_intel not libdrm_intel-1, an obvious
    cut'n'paste error from testing for pixman-1.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 3cbdfb54d1fcfed7745111e861e19b7bbac243cc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 9 19:15:20 2013 +0000

    sna: Backport to squeeze - Xorg-1.6, pixman-0.16, libdrm-2.4.21
    
    The principle change is to switch to the old Privates API and undo the
    Region renames.
    
    The downside is that this ignores the critical bugfixes made to the
    xserver since xorg-1.6 - but I assume that whoever wants to run the
    latest hardware on the old xservers is also backporting those stability
    fixes...
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 42a6b25817985e22e7d462be87fbd97973d96a29
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 9 15:30:58 2013 +0000

    sna: Fix alignment of the base of partial buffers for pre-G33 chipsets
    
    The older chipsets have much more restrictive alignment rules for the
    base address of tiled but unfenced objects.
    
    Bugzilla: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1120108
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 80044e54634d0836694d5aa6f98ce22fe38d367f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Feb 9 09:57:26 2013 +0000

    sna: Promote to GPU is only partially damaged on the CPU but busy on the GPU
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d18cb72a94fad0ee99ab361c21d643c927d29c35
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 22:31:19 2013 +0000

    sna: Randomly perturb 'wedged' to hunt for faults
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit ce9f0448367ea6a90490a28150bfdc0a76500129
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 16:01:54 2013 +0000

    sna/gen6: Use GT2 settings for both GT2 and GT2+
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit ae5399aaf9ef57d33e8fd957e8a96964897c09b3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 11:31:21 2013 +0000

    sna: Force the fallback path for unaccelerated randr damage
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c69b4389abc324533a9a311c17a667bf8a1e1673
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 22:54:37 2013 +0000

    sna/gen4: Split the have_render flag in separate prefer_gpu hints
    
    The idea is to implement more fine-grained checks as we may want
    different heuristics for desktops with GT1s than for mobile GT2s, etc.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit bec99de812ce6a1bbc2c8e4cfd05f4f74c560ea6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 8 00:53:10 2013 +0000

    sna: Remove the bogus assertions on buffer domains
    
    Just a few lines earlier we already have the correct assertion that the
    buffer was not in the GPU domain, so had these two been correct, they
    would have still been redundant.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8d1d3c6e6102ff20fbff74ec6b3b2e94ee757015
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 14:47:07 2013 +0000

    sna: Fixup an invalid assertion
    
    We may choose to operate inplace on a buffer last used by the CPU if we
    are discarding all the existing damage.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c405dba367bdca51221bd2464213199783dc18fe
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 13:41:42 2013 +0000

    sna: Also assert that the GPU is not wedged before continuing a batch
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit feeff6fcefccdca5335fea55c2fdbf8a4004c175
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 13:33:58 2013 +0000

    sna: Force GTT readback if the GPU is wedged
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8a272971d5971a56f57dde00dceb082d0b142c8c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 17:59:10 2013 +0000

    sna: Allow inplace uploads to utilise GTT on LLC machines
    
    Rather than arbitrarily disable the fallback paths for LLC, allow it to
    utilise any available GTT buffers for inplace uploads. The best
    explanation so far is that with the streaming is that we are trashing
    the LLC. On other machines, the difference is in the noise.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit bc8a2c30c4f6bb9ce751b6717a3a2feaea0d6d4b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 10:42:58 2013 +0000

    sna: Only try the SRC fixup into the buffer if it is CPU mapped
    
    On one particular machine, this operation is behaving as if it is
    reading back UC memory during the explicit write-only composite.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 889ed28f52bccdbc54692ea075f95f9635a8d58a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Feb 7 10:42:21 2013 +0000

    sna: Correctly align used buffers to the following page boundary
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 974b6a97d78dadf09be8a2c4f61020f15d80d558
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 17:02:27 2013 +0000

    sna: Fallback to non-LLC paths after an allocation failure for an LLC buffer
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5c8084ef04cb0a7da064fb1e13c8ef7dae528b1b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 16:39:31 2013 +0000

    intel: Becareful not to match UMS against future generations
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit be241fb25ed0a8d41a642ea811253207f88d0962
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 16:38:12 2013 +0000

    sna: Free the handle after pwrite buffer allocation failure
    
    Having just allocated the handle, we need to free it if we then fail to
    allocate memory for the buffer.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 4b3b25f0be33d3af3ccecfb3193fc2d365445fdf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 16:37:21 2013 +0000

    sna: Flush our caches if we fail to mmap an object
    
    The likely cause for a mmap failure is that we hold too many objects
    open or have exhausted our address space. In both cases, we need to trim
    our caches before continuing.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit daba1ae3e7f0532cc53d9a5178778dbaec203052
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 16:17:36 2013 +0000

    sna: Correctly handle failure to CPU map a new allocation
    
    If we fail to CPU map, we want to fallback to just using pwrite with
    normal memory.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 0adb0b5e1ebcf3ddfeddae99d96912ec4c090832
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 16:02:30 2013 +0000

    sna: Handle mapped buffer allocation failure for LLC
    
    The presumption was that if we had LLC we would have allocated the
    buffer by that point - however, it was remotely possible to have fallen
    through and so we need to handle those cases.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f4cff22afae598f41adf36cd149223d1f7dd6b6e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 15:15:36 2013 +0000

    sna: Relax the buffer size assertion to only be larger than required
    
    Not all paths request alloc pages, a few just request sufficient pages
    for the original size. So we can only assert that condition is
    satisfied.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 8bc593c732a2f1ccd1bdabc071c709a44222db61
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 15:11:00 2013 +0000

    sna: Make sure we always replace io buffers before inserting into the cache
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 5f72158919098dd5684d1c56d1ba643cc3be2c7d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 15:10:23 2013 +0000

    configure: XvMC support is optional, so make failure to find xcb non-fatal

commit cd6d8f9b9df02934ebfff76cb40410c8ce3887dd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Feb 6 10:37:50 2013 +0000

    xvmc: Add the complementary XCB_CFLAGS
    
    After splitting the xvmc dependences into xcb and non-xcb, we then also
    have to add the xcb CFLAGS to build libIntelXVmc.la
    
    Reported-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit b96ee47ad97943c3dccd40d9570e29002dc3d85f
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Sun Feb 3 13:33:08 2013 +0100

    configure.ac: Split out XCB libraries from `XVMCLIB` into `XCB`
    
    Building the package under Debian Sid/unstable, `dh_shlibdeps` informs
    that `libI810XvMC.so.1.0.0` does not need to be linked against
    `libX11-xcb.so.1`, `libxcb-dri2.so.0`, `libxcb-util.so.0` or
    `libxcb.so.1` [1].
    
            $ debuild -b -us -uc
            […]
            make[1]: Entering directory `/src/xserver-xorg-video-intel'
            dh_shlibdeps -- --warnings=6
            dpkg-shlibdeps: Warnung: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 sollte nicht gegen libX11-xcb.so.1 gelinkt werden (es verwendet keines der Bibliotheks-Symbole)
            dpkg-shlibdeps: Warnung: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 sollte nicht gegen libxcb-dri2.so.0 gelinkt werden (es verwendet keines der Bibliotheks-Symbole)
            dpkg-shlibdeps: Warnung: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 sollte nicht gegen libxcb-util.so.0 gelinkt werden (es verwendet keines der Bibliotheks-Symbole)
            dpkg-shlibdeps: Warnung: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 sollte nicht gegen libxcb.so.1 gelinkt werden (es verwendet keines der Bibliotheks-Symbole)
            make[1]: Leaving directory `/src/xserver-xorg-video-intel'
            […]
    
    Moving `x11-xcb`, `xcb-dri2` and `xcb-aux` from `XVMCLIBS` into `XCB`
    and adding `XCB_LIBS` only to the `LIBADD` variables of `libIntelXvMC`
    makes the warnings go away and the libraries are still built without any
    issues.
    
            make[1]: Entering directory `/src/xserver-xorg-video-intel'
            dh_shlibdeps -- --warnings=6
            make[1]: Leaving directory `/src/xserver-xorg-video-intel'
               dh_installdeb -O--builddirectory=build/
               dh_xsf_substvars -O--builddirectory=build/
               dh_gencontrol -O--builddirectory=build/
            dpkg-gencontrol: Warnung: Feld Depends von Paket xserver-xorg-video-intel-dbg: unbekannte Substitutionsvariable ${shlibs:Depends}
               dh_md5sums -O--builddirectory=build/
               dh_builddeb -O--builddirectory=build/
            dpkg-deb: Paket »xserver-xorg-video-intel« wird in »../xserver-xorg-video-intel_2.19.0-6.1_i386.deb« gebaut.
            dpkg-deb: Paket »xserver-xorg-video-intel-dbg« wird in »../xserver-xorg-video-intel-dbg_2.19.0-6.1_i386.deb« gebaut.
             dpkg-genchanges -b >../xserver-xorg-video-intel_2.19.0-6.1_i386.changes
            dpkg-genchanges: rein binärer Upload - es ist kein Quellcode hinzugefügt
             dpkg-source --after-build xserver-xorg-video-intel
            dpkg-buildpackage: Binärpaket(e) hochzuladen (keine Quellen enthalten)
            Now running lintian...
            W: xserver-xorg-video-intel: hardening-no-relro usr/lib/libI810XvMC.so.1.0.0
            W: xserver-xorg-video-intel: hardening-no-fortify-functions usr/lib/libI810XvMC.so.1.0.0
            W: xserver-xorg-video-intel: hardening-no-relro usr/lib/libIntelXvMC.so.1.0.0
            W: xserver-xorg-video-intel: hardening-no-fortify-functions usr/lib/libIntelXvMC.so.1.0.0
            W: xserver-xorg-video-intel: hardening-no-relro usr/lib/xorg/modules/drivers/intel_drv.so
            W: xserver-xorg-video-intel: hardening-no-fortify-functions usr/lib/xorg/modules/drivers/intel_drv.so
            N: 1 tag overridden (1 warning)
            Finished running lintian.
    
    The modules were originally added with the following commit present
    since tag 2.10.0.
    
            commit 3e8f2eae3a586aa29be4858698e666e0ec778cea
            Author: Eric Anholt <eric@anholt.net>
            Date:   Thu Oct 15 13:48:56 2009 -0700
    
                XVMC: Use XCB DRI2 instead of cargo-culting our own copy of Xlib stuff. (v2)
    
    [1] https://buildd.debian.org/status/fetch.php?pkg=xserver-xorg-video-intel&arch=i386&ver=2%3A2.19.0-6&stamp=1347825458
    
    Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>

commit 93770c709aa7d3719b7c717040b16c8f82d5c207
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Tue Jan 22 10:47:22 2013 +0100

    NEWS: Fix a typo: a*n* inadvertent

commit a8cfddd280b5220f23565b21c91f3f7dd10bbe91
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 22:06:03 2013 +0000

    sna: Tidy buffer allocation size assertions
    
    Rather than perilously update a local variable with the allocated size,
    just use the size of the bo in the assertion that is large enough to
    satisfy the allocation request.
    
    Reported-by: Jiri Slaby <jirislaby@gmail.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 82dc91e8c24a1fbbf03dcf89a3955319b3399ea0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 21:50:43 2013 +0000

    test: Add a very basic blt benchmark
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9c80a0337ec12b6baab5aab380503e672e925677
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 14:56:10 2013 +0000

    sna: ValleyView uses the same scanline registers as SandyBridge
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 4c45e3fe456d211afc6ba69878b413a72ef5d0bf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 14:45:39 2013 +0000

    intel: add more ValleyView PCI IDs
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit c6101d9d71a86a579ff9771d456b234a38bd80b7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 11:02:30 2013 +0000

    man: Fix a typo s/debuging/debugging/
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit f33c90f7ada238683433d05492434120d06ea1fc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 19:34:56 2013 +0000

    NEWS: Trivial typo s/utilile/utilise/

commit 6346c844525c2b3a82c16fe10485b901a2b5ddbc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 10:17:45 2013 +0000

    sna/gen4: Remove old single-thread SF w/a
    
    The alternative of disabling GPU spans seems to be far more effective.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 1565917f10d9fb3c7e2e7e273173c38c364b9861
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Feb 5 10:11:14 2013 +0000

    sna/gen4: Disable non-rectilinear GPU span compositing
    
    This seems to be the primary victim of the render corruption, so disable
    until the root cause is fixed.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=55500
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 37bc822190f36be7b021167ba4d306bbcd97957b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jan 18 14:13:08 2013 +0000

    build: Make generation of gen code depend on intel-gen4asm
    
    This way, when a new intel-gen4asm is available (because one just hacked
    on it and has installed a new version for instance) the shaders will be
    recompiled. This helps catching regressions, testing the latest changes
    in the assembler haven't broken too many things.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 18f8d2291fbb53ac993b926c247ca981e1e5207b
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jan 18 14:13:07 2013 +0000

    build: Use $(AM_V_GEN) to silence the assembly of gen programs
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit eea535b7e2a35ec4dfa50550b674d4212676d2ee
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Fri Jan 18 14:13:06 2013 +0000

    build: Make autoreconf honour ACLOCAL_FLAGS
    
    When running autoreconf, it's possible to give flags to the underlying
    aclocal by declaring a ACLOCAL_AMFLAGS variable in the top level
    Makefile.am.
    
    Putting ${ACLOCAL_FLAGS} there allows the user to set an environment
    variable up before running autogen.sh and pull in the right directories
    to look for m4 macros, say an up-to-date version of the xorg-util macros.
    
    Signed-off-by: Damien Lespiau <damien.lespiau@intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9640640ab02d5de630e903116c1b104752f8b604
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Sat Feb 2 11:44:54 2013 +0100

    configure.ac: Do not include `xext` and `xfixes` in `XVMCLIB`
    
    Building the package under Debian Sid/unstable, `dh_shlibdeps` informs
    that `libIntelXvMC.so.1.0.0` does not need to be linked against
    `libXext.so.6` or `libXfixes.so.3` [1].
    
            $ debuild -b -us -uc
            […]
            make[1]: Entering directory `/build/buildd-xserver-xorg-video-intel_2.19.0-6-i386-9thLfo/xserver-xorg-video-intel-2.19.0'
            dh_shlibdeps -- --warnings=6
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libIntelXvMC.so.1.0.0 should not be linked against libXext.so.6 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libIntelXvMC.so.1.0.0 should not be linked against libXfixes.so.3 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libXext.so.6 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libXfixes.so.3 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libX11-xcb.so.1 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libxcb-dri2.so.0 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libxcb-util.so.0 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 should not be linked against libxcb.so.1 (it uses none of the library's symbols)
            dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/xserver-xorg-video-intel/usr/lib/libIntelXvMC.so.1.0.0 debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 were not linked against libXext.so.6 (they use none of the library's symbols)
            dpkg-shlibdeps: warning: package could avoid a useless dependency if debian/xserver-xorg-video-intel/usr/lib/libIntelXvMC.so.1.0.0 debian/xserver-xorg-video-intel/usr/lib/libI810XvMC.so.1.0.0 were not linked against libXfixes.so.3 (they use none of the library's symbols)
            make[1]: Leaving directory `/build/buildd-xserver-xorg-video-intel_2.19.0-6-i386-9thLfo/xserver-xorg-video-intel-2.19.0'
               dh_installdeb -a -O--builddirectory=build/
            […]
    
    Not populating `XVMCLIB` with `xext` and `xfixes` makes the warning go
    away and the libraries are still built without any issues.
    
    [1] https://buildd.debian.org/status/fetch.php?pkg=xserver-xorg-video-intel&arch=i386&ver=2%3A2.19.0-6&stamp=1347825458
    
    Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>

commit 9807bba950078d86a25b91064ecfebaa0ee459e3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 18:25:48 2013 +0000

    sna: Drop bogus refcnt assertion during kgem_bo_retire()
    
    As we may call it kgem_bo_sync(), during preparation of the upload
    buffer which in turn may operate on an object straight out of the snoop
    cache and hence not yet referenced (or in some cases, ever).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit a5561f13498066922b54af04cc71549322ce0e3b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 18:05:35 2013 +0000

    sna: Do not add the INPLACE hint if we have the ASYNC hint set
    
    If the caller is preparing to use the GPU to rendering into the CPU bo,
    it will request an ASYNC migration. In those cases, we do not want to
    substitute it with an INPLACE operation.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit d3ff1cb9d7f788002337b1e6c4c81c58112b85b1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 13:46:33 2013 +0000

    2.21.0 release

commit 008f8230a7c47f1249eb51e53b3abf158f2a42bf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 01:54:52 2013 +0000

    sna: Assert that if we have GPU damage we have a GPU bo
    
    Scatter the asserts around the migration points to catch where this
    invariant may be untrue.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit cf0576f87102b1535268691e7e29661b0f9ee73b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 00:19:21 2013 +0000

    sna/video: Correct computation of planar frame size
    
    The total frame size is less than 3 times the subsampled chroma planes
    due to the additional alignment bytes.
    
    Bugzilla: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1104180
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 268285d9a64fc47fe81fe5bfbfbd1890dad53e1e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 21:57:41 2013 +0000

    sna/gen3+: Flush vertex threads before touching global state
    
    We need to be careful not just when finishing the current vbo to
    synchronize with the sharing threads, but also before we emit the batch
    state that no other thread will try and do the same.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 1239e012ae6d4f00ce73f32d7244905a601170ea
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 19:18:17 2013 +0000

    sna: Make sure the needs_flush is always accompanied by a tracking request
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=47597
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit 9712f49fddc8be939f77c25fcb907873af44619f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 18:08:05 2013 +0000

    sna: Remove stale assertion
    
    Now the reset is meant to restablish 'rq' if the bo was busy.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

commit cd7df0004cf6e423d2ae6c0cf83a84e0031161b4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Jan 31 17:32:57 2013 +0000

